LibreOffice: XDataInterpreter Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XDataInterpreter Interface Reference

offers tooling to interpret different data sources in a structural and chart-type-dependent way. More...

`import"XDataInterpreter.idl";`

Inheritance diagram for XDataInterpreter:

## Public Member Functions
InterpretedData | interpretDataSource ([in] com::sun::star::chart2::data::XDataSource xSource, [in] sequence< com::sun::star::beans::PropertyValue > aArguments, [in] sequence< XDataSeries > aSeriesToReUse)
| Interprets the given data. More...
InterpretedData | reinterpretDataSeries ([in] InterpretedData aInterpretedData)
| Re-interprets the data given in `aInterpretedData` while keeping the number of data series and the categories. More...
boolean | isDataCompatible ([in] InterpretedData aInterpretedData)
| parses the given data and states, if a reinterpretDataSeries() call can be done without data loss. More...
com::sun::star::chart2::data::XDataSource | mergeInterpretedData ([in] InterpretedData aInterpretedData)
| Try to reverse the operation done in interpretDataSource(). More...
any | getChartTypeSpecificData ([in] string sKey)
| Get chart information that is specific to a particular chart type, by key. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers tooling to interpret different data sources in a structural and chart-type-dependent way.

## Member Function Documentation

## ◆ getChartTypeSpecificData()

any getChartTypeSpecificData | ( | [in] string | sKey | ) |

Get chart information that is specific to a particular chart type, by key.

Parameters

  sKey | name of the piece of data to retrieve.

Supported key strings:

- `"stock variant"`: stock chart variant, with 0 = neither Open Values nor volume, 1 = Open Values, 2 = volume, 3 = both. Valid for candlestick charts.

Returns
  The value requested, or nothing if not present.

## ◆ interpretDataSource()

InterpretedData interpretDataSource | ( | [in] com::sun::star::chart2::data::XDataSource | xSource,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | aArguments,
|  | [in] sequence< XDataSeries > | aSeriesToReUse
| ) |  |

Interprets the given data.

Parameters

  xSource | the data source.
  aArguments | Arguments that tell the template how to slice the given range. The properties should be defined in a separate service.

For standard parameters that may be used, see the service StandardDiagramCreationParameters.

Parameters

  aSeriesToReUse | use all the data series given here for the result before creating new ones.

## ◆ isDataCompatible()

boolean isDataCompatible | ( | [in] InterpretedData | aInterpretedData | ) |

parses the given data and states, if a reinterpretDataSeries() call can be done without data loss.

Returns
  `TRUE`, if the data given in `aInterpretedData` has a similar structure than the one required is used as output of the data interpreter.

## ◆ mergeInterpretedData()

com::sun::star::chart2::data::XDataSource mergeInterpretedData | ( | [in] InterpretedData | aInterpretedData | ) |

Try to reverse the operation done in interpretDataSource().

In case `aInterpretedData` is the result of interpretDataSource()( `xSource` ), the result of this method should be `xSource`.

## ◆ reinterpretDataSeries()

InterpretedData reinterpretDataSeries | ( | [in] InterpretedData | aInterpretedData | ) |

Re-interprets the data given in `aInterpretedData` while keeping the number of data series and the categories.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XDataInterpreter.idl